## com.google.common.cache
Interface Weigher<K,V>

    @Beta
    public interface Weigher<K,V>

Calculates the weights of cache entries.

Since:
  11.0
Author:
  Charles Fry

Method Summary
`int` `weigh(K key, V value)` Returns the weight of a cache entry.

Method Detail

### weigh

    int weigh(K key,
              V value)

  Returns the weight of a cache entry. There is no unit for entry weights; rather they are simply relative to each other.

  Returns:
    the weight of the entry; must be non-negative

Copyright © 2010-2012. All Rights Reserved.